import{s as W,n as X,o as Y}from"../chunks/scheduler.b108d059.js";import{S as Z,i as ee,g as s,s as a,r as te,A as ne,h as o,f as n,c as l,j as V,u as ie,x as r,k as J,y as se,a as i,v as ae,d as oe,t as le,w as re}from"../chunks/index.008de539.js";import{H as ce}from"../chunks/Heading.88bfeb84.js";function me(q){let c,w,_,E,m,y,f,D=`Text Embeddings Inference (TEI) is a comprehensive toolkit designed for efficient deployment and serving of open source
text embeddings models. It enables high-performance extraction for the most popular models, including FlagEmbedding, Ember, GTE, and E5.`,H,p,R="TEI offers multiple features tailored to optimize the deployment process and enhance overall performance.",M,g,F="<strong>Key Features:</strong>",I,u,U='<li><strong>Streamlined Deployment:</strong> TEI eliminates the need for a model graph compilation step for an easier deployment process.</li> <li><strong>Efficient Resource Utilization:</strong> Benefit from small Docker images and rapid boot times, allowing for true serverless capabilities.</li> <li><strong>Dynamic Batching:</strong> TEI incorporates token-based dynamic batching thus optimizing resource utilization during inference.</li> <li><strong>Optimized Inference:</strong> TEI leverages <a href="https://github.com/HazyResearch/flash-attention" rel="nofollow">Flash Attention</a>, <a href="https://github.com/huggingface/candle" rel="nofollow">Candle</a>, and <a href="https://docs.nvidia.com/cuda/cublas/#using-the-cublaslt-api" rel="nofollow">cuBLASLt</a> by using optimized transformers code for inference.</li> <li><strong>Safetensors weight loading:</strong> TEI loads <a href="https://github.com/huggingface/safetensors" rel="nofollow">Safetensors</a> weights for faster boot times.</li> <li><strong>Production-Ready:</strong> TEI supports distributed tracing through Open Telemetry and exports Prometheus metrics.</li>',P,h,j="<strong>Benchmarks</strong>",C,d,G='Benchmark for <a href="https://hf.co/BAAI/bge-large-en-v1.5" rel="nofollow">BAAI/bge-base-en-v1.5</a> on an NVIDIA A10 with a sequence length of 512 tokens:',z,v,O='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs1-lat.png" width="400" alt="Latency comparison for batch size of 1"/> <img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs1-tp.png" width="400" alt="Throughput comparison for batch size of 1"/>',k,b,K='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs32-lat.png" width="400" alt="Latency comparison for batch size of 32"/> <img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/tei/bs32-tp.png" width="400" alt="Throughput comparison for batch size of 32"/>',A,T,N="<strong>Getting Started:</strong>",$,x,Q='To start using TEI, check the <a href="quick_tour">Quick Tour</a> guide.',S,L,B;return m=new ce({props:{title:"Text Embeddings Inference",local:"text-embeddings-inference",headingTag:"h1"}}),{c(){c=s("meta"),w=a(),_=s("p"),E=a(),te(m.$$.fragment),y=a(),f=s("p"),f.textContent=D,H=a(),p=s("p"),p.textContent=R,M=a(),g=s("p"),g.innerHTML=F,I=a(),u=s("ul"),u.innerHTML=U,P=a(),h=s("p"),h.innerHTML=j,C=a(),d=s("p"),d.innerHTML=G,z=a(),v=s("p"),v.innerHTML=O,k=a(),b=s("p"),b.innerHTML=K,A=a(),T=s("p"),T.innerHTML=N,$=a(),x=s("p"),x.innerHTML=Q,S=a(),L=s("p"),this.h()},l(e){const t=ne("svelte-u9bgzb",document.head);c=o(t,"META",{name:!0,content:!0}),t.forEach(n),w=l(e),_=o(e,"P",{}),V(_).forEach(n),E=l(e),ie(m.$$.fragment,e),y=l(e),f=o(e,"P",{"data-svelte-h":!0}),r(f)!=="svelte-g5xgrp"&&(f.textContent=D),H=l(e),p=o(e,"P",{"data-svelte-h":!0}),r(p)!=="svelte-1afmapv"&&(p.textContent=R),M=l(e),g=o(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-dcww01"&&(g.innerHTML=F),I=l(e),u=o(e,"UL",{"data-svelte-h":!0}),r(u)!=="svelte-ziger0"&&(u.innerHTML=U),P=l(e),h=o(e,"P",{"data-svelte-h":!0}),r(h)!=="svelte-q2uj9l"&&(h.innerHTML=j),C=l(e),d=o(e,"P",{"data-svelte-h":!0}),r(d)!=="svelte-1rcc639"&&(d.innerHTML=G),z=l(e),v=o(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-1tzh58b"&&(v.innerHTML=O),k=l(e),b=o(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1ccb8mt"&&(b.innerHTML=K),A=l(e),T=o(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-1hbycvq"&&(T.innerHTML=N),$=l(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-15zyol4"&&(x.innerHTML=Q),S=l(e),L=o(e,"P",{}),V(L).forEach(n),this.h()},h(){J(c,"name","hf:doc:metadata"),J(c,"content",fe)},m(e,t){se(document.head,c),i(e,w,t),i(e,_,t),i(e,E,t),ae(m,e,t),i(e,y,t),i(e,f,t),i(e,H,t),i(e,p,t),i(e,M,t),i(e,g,t),i(e,I,t),i(e,u,t),i(e,P,t),i(e,h,t),i(e,C,t),i(e,d,t),i(e,z,t),i(e,v,t),i(e,k,t),i(e,b,t),i(e,A,t),i(e,T,t),i(e,$,t),i(e,x,t),i(e,S,t),i(e,L,t),B=!0},p:X,i(e){B||(oe(m.$$.fragment,e),B=!0)},o(e){le(m.$$.fragment,e),B=!1},d(e){e&&(n(w),n(_),n(E),n(y),n(f),n(H),n(p),n(M),n(g),n(I),n(u),n(P),n(h),n(C),n(d),n(z),n(v),n(k),n(b),n(A),n(T),n($),n(x),n(S),n(L)),n(c),re(m,e)}}}const fe='{"title":"Text Embeddings Inference","local":"text-embeddings-inference","sections":[],"depth":1}';function pe(q){return Y(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class de extends Z{constructor(c){super(),ee(this,c,pe,me,W,{})}}export{de as component};
