import{s as ue,n as ce,o as ge}from"../chunks/scheduler.b108d059.js";import{S as he,i as we,g as d,s as a,r as i,A as Te,h as u,f as l,c as s,j as oe,u as r,x as S,k as de,y as ye,a as n,v as p,d as m,t as f,w as $}from"../chunks/index.008de539.js";import{C as V}from"../chunks/CodeBlock.3968c746.js";import{H as G}from"../chunks/Heading.88bfeb84.js";function be(se){let o,Y,_,P,c,E,g,ie=`You can install <code>text-embeddings-inference</code> locally to run it on your own machine with a GPU.
To make sure that your hardware is supported, check out the <a href="supported_models">Supported models and hardware</a> page.`,R,h,F,w,re="Make sure you have CUDA and the NVIDIA drivers installed - NVIDIA drivers on your device need to be compatible with CUDA version 12.2 or higher.",N,T,pe="Add the NVIDIA binaries to your path:",j,y,W,b,X,I,me='<a href="https://rustup.rs/" rel="nofollow">Install Rust</a> on your machine by run the following in your terminal, then following the instructions:',D,v,B,M,z,U,fe="This step  can take a while as we need to compile a lot of cuda kernels.",Q,x,q,C,O,J,K,k,ee,Z,te,A,$e="You can now launch Text Embeddings Inference on GPU with:",le,L,ne,H,ae;return c=new G({props:{title:"Using TEI locally with GPU",local:"using-tei-locally-with-gpu",headingTag:"h1"}}),h=new G({props:{title:"Step 1: CUDA and NVIDIA drivers",local:"step-1-cuda-and-nvidia-drivers",headingTag:"h2"}}),y=new V({props:{code:"ZXhwb3J0JTIwUEFUSCUzRCUyNFBBVEglM0ElMkZ1c3IlMkZsb2NhbCUyRmN1ZGElMkZiaW4=",highlighted:"export PATH=$PATH:/usr/local/cuda/bin",wrap:!1}}),b=new G({props:{title:"Step 2: Install Rust",local:"step-2-install-rust",headingTag:"h2"}}),v=new V({props:{code:"Y3VybCUyMC0tcHJvdG8lMjAnJTNEaHR0cHMnJTIwLS10bHN2MS4yJTIwLXNTZiUyMGh0dHBzJTNBJTJGJTJGc2gucnVzdHVwLnJzJTIwJTdDJTIwc2g=",highlighted:"curl --proto &#x27;=https&#x27; --tlsv1.2 -sSf https://sh.rustup.rs | sh",wrap:!1}}),M=new G({props:{title:"Step 3: Install necessary packages",local:"step-3-install-necessary-packages",headingTag:"h2"}}),x=new G({props:{title:"For Turing GPUs (T4, RTX 2000 series … )",local:"for-turing-gpus-t4-rtx-2000-series--",headingTag:"h3"}}),C=new V({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYS10dXJpbmclMjAtRiUyMGh0dHAlMjAtLW5vLWRlZmF1bHQtZmVhdHVyZXM=",highlighted:"cargo install --path router -F candle-cuda-turing -F http --no-default-features",wrap:!1}}),J=new G({props:{title:"For Ampere and Hopper",local:"for-ampere-and-hopper",headingTag:"h3"}}),k=new V({props:{code:"Y2FyZ28lMjBpbnN0YWxsJTIwLS1wYXRoJTIwcm91dGVyJTIwLUYlMjBjYW5kbGUtY3VkYSUyMC1GJTIwaHR0cCUyMC0tbm8tZGVmYXVsdC1mZWF0dXJlcw==",highlighted:"cargo install --path router -F candle-cuda -F http --no-default-features",wrap:!1}}),Z=new G({props:{title:"Step 4: Launch Text Embeddings Inference",local:"step-4-launch-text-embeddings-inference",headingTag:"h2"}}),L=new V({props:{code:"bW9kZWwlM0RCQUFJJTJGYmdlLWxhcmdlLWVuLXYxLjUlMEFyZXZpc2lvbiUzRHJlZnMlMkZwciUyRjUlMEElMEF0ZXh0LWVtYmVkZGluZ3Mtcm91dGVyJTIwLS1tb2RlbC1pZCUyMCUyNG1vZGVsJTIwLS1yZXZpc2lvbiUyMCUyNHJldmlzaW9uJTIwLS1wb3J0JTIwODA4MA==",highlighted:`model=BAAI/bge-large-en-v1.5
revision=refs/pr/5

text-embeddings-router --model-id $model --revision $revision --port 8080`,wrap:!1}}),{c(){o=d("meta"),Y=a(),_=d("p"),P=a(),i(c.$$.fragment),E=a(),g=d("p"),g.innerHTML=ie,R=a(),i(h.$$.fragment),F=a(),w=d("p"),w.textContent=re,N=a(),T=d("p"),T.textContent=pe,j=a(),i(y.$$.fragment),W=a(),i(b.$$.fragment),X=a(),I=d("p"),I.innerHTML=me,D=a(),i(v.$$.fragment),B=a(),i(M.$$.fragment),z=a(),U=d("p"),U.textContent=fe,Q=a(),i(x.$$.fragment),q=a(),i(C.$$.fragment),O=a(),i(J.$$.fragment),K=a(),i(k.$$.fragment),ee=a(),i(Z.$$.fragment),te=a(),A=d("p"),A.textContent=$e,le=a(),i(L.$$.fragment),ne=a(),H=d("p"),this.h()},l(e){const t=Te("svelte-u9bgzb",document.head);o=u(t,"META",{name:!0,content:!0}),t.forEach(l),Y=s(e),_=u(e,"P",{}),oe(_).forEach(l),P=s(e),r(c.$$.fragment,e),E=s(e),g=u(e,"P",{"data-svelte-h":!0}),S(g)!=="svelte-ca5bh"&&(g.innerHTML=ie),R=s(e),r(h.$$.fragment,e),F=s(e),w=u(e,"P",{"data-svelte-h":!0}),S(w)!=="svelte-1xb6doe"&&(w.textContent=re),N=s(e),T=u(e,"P",{"data-svelte-h":!0}),S(T)!=="svelte-mwtwrj"&&(T.textContent=pe),j=s(e),r(y.$$.fragment,e),W=s(e),r(b.$$.fragment,e),X=s(e),I=u(e,"P",{"data-svelte-h":!0}),S(I)!=="svelte-2fjw7p"&&(I.innerHTML=me),D=s(e),r(v.$$.fragment,e),B=s(e),r(M.$$.fragment,e),z=s(e),U=u(e,"P",{"data-svelte-h":!0}),S(U)!=="svelte-c8dcel"&&(U.textContent=fe),Q=s(e),r(x.$$.fragment,e),q=s(e),r(C.$$.fragment,e),O=s(e),r(J.$$.fragment,e),K=s(e),r(k.$$.fragment,e),ee=s(e),r(Z.$$.fragment,e),te=s(e),A=u(e,"P",{"data-svelte-h":!0}),S(A)!=="svelte-1bfdyk9"&&(A.textContent=$e),le=s(e),r(L.$$.fragment,e),ne=s(e),H=u(e,"P",{}),oe(H).forEach(l),this.h()},h(){de(o,"name","hf:doc:metadata"),de(o,"content",Ie)},m(e,t){ye(document.head,o),n(e,Y,t),n(e,_,t),n(e,P,t),p(c,e,t),n(e,E,t),n(e,g,t),n(e,R,t),p(h,e,t),n(e,F,t),n(e,w,t),n(e,N,t),n(e,T,t),n(e,j,t),p(y,e,t),n(e,W,t),p(b,e,t),n(e,X,t),n(e,I,t),n(e,D,t),p(v,e,t),n(e,B,t),p(M,e,t),n(e,z,t),n(e,U,t),n(e,Q,t),p(x,e,t),n(e,q,t),p(C,e,t),n(e,O,t),p(J,e,t),n(e,K,t),p(k,e,t),n(e,ee,t),p(Z,e,t),n(e,te,t),n(e,A,t),n(e,le,t),p(L,e,t),n(e,ne,t),n(e,H,t),ae=!0},p:ce,i(e){ae||(m(c.$$.fragment,e),m(h.$$.fragment,e),m(y.$$.fragment,e),m(b.$$.fragment,e),m(v.$$.fragment,e),m(M.$$.fragment,e),m(x.$$.fragment,e),m(C.$$.fragment,e),m(J.$$.fragment,e),m(k.$$.fragment,e),m(Z.$$.fragment,e),m(L.$$.fragment,e),ae=!0)},o(e){f(c.$$.fragment,e),f(h.$$.fragment,e),f(y.$$.fragment,e),f(b.$$.fragment,e),f(v.$$.fragment,e),f(M.$$.fragment,e),f(x.$$.fragment,e),f(C.$$.fragment,e),f(J.$$.fragment,e),f(k.$$.fragment,e),f(Z.$$.fragment,e),f(L.$$.fragment,e),ae=!1},d(e){e&&(l(Y),l(_),l(P),l(E),l(g),l(R),l(F),l(w),l(N),l(T),l(j),l(W),l(X),l(I),l(D),l(B),l(z),l(U),l(Q),l(q),l(O),l(K),l(ee),l(te),l(A),l(le),l(ne),l(H)),l(o),$(c,e),$(h,e),$(y,e),$(b,e),$(v,e),$(M,e),$(x,e),$(C,e),$(J,e),$(k,e),$(Z,e),$(L,e)}}}const Ie='{"title":"Using TEI locally with GPU","local":"using-tei-locally-with-gpu","sections":[{"title":"Step 1: CUDA and NVIDIA drivers","local":"step-1-cuda-and-nvidia-drivers","sections":[],"depth":2},{"title":"Step 2: Install Rust","local":"step-2-install-rust","sections":[],"depth":2},{"title":"Step 3: Install necessary packages","local":"step-3-install-necessary-packages","sections":[{"title":"For Turing GPUs (T4, RTX 2000 series … )","local":"for-turing-gpus-t4-rtx-2000-series--","sections":[],"depth":3},{"title":"For Ampere and Hopper","local":"for-ampere-and-hopper","sections":[],"depth":3}],"depth":2},{"title":"Step 4: Launch Text Embeddings Inference","local":"step-4-launch-text-embeddings-inference","sections":[],"depth":2}],"depth":1}';function ve(se){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Je extends he{constructor(o){super(),we(this,o,ve,be,ue,{})}}export{Je as component};
